Bug 1202932 - [abrt] dock: __init__.py:805:resolve:DistributionNotFound: requests>=2.5.2
Summary: [abrt] dock: __init__.py:805:resolve:DistributionNotFound: requests>=2.5.2
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-docker-py
Version: 22
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tomas Tomecek
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:f39a32896fa25f2b3d2b5bff9b5...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-03-17 17:55 UTC by Jiri Popelka
Modified: 2015-03-26 22:09 UTC (History)
6 users (show)

Fixed In Version: python-docker-py-1.1.0-2.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-03-26 22:09:53 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (2.56 KB, text/plain)
2015-03-17 17:55 UTC, Jiri Popelka
no flags Details
File: environ (3.80 KB, text/plain)
2015-03-17 17:55 UTC, Jiri Popelka
no flags Details

Description Jiri Popelka 2015-03-17 17:55:15 UTC
Description of problem:
Just run 'dock' as nonprivileged user.

Version-Release number of selected component:
dock-1.1.0-1.fc22

Additional info:
reporter:       libreport-2.4.0
cmdline:        /usr/bin/python /usr/bin/dock
dso_list:       python-setuptools-12.0.3-1.fc22.noarch
executable:     /usr/bin/dock
kernel:         4.0.0-0.rc3.git0.1.fc22.x86_64
runlevel:       N 5
type:           Python
uid:            1000

Truncated backtrace:
__init__.py:805:resolve:DistributionNotFound: requests>=2.5.2

Traceback (most recent call last):
  File "/usr/bin/dock", line 5, in <module>
    from pkg_resources import load_entry_point
  File "/usr/lib/python2.7/site-packages/pkg_resources/__init__.py", line 3018, in <module>
    working_set = WorkingSet._build_master()
  File "/usr/lib/python2.7/site-packages/pkg_resources/__init__.py", line 614, in _build_master
    return cls._build_from_requirements(__requires__)
  File "/usr/lib/python2.7/site-packages/pkg_resources/__init__.py", line 627, in _build_from_requirements
    dists = ws.resolve(reqs, Environment())
  File "/usr/lib/python2.7/site-packages/pkg_resources/__init__.py", line 805, in resolve
    raise DistributionNotFound(req)
DistributionNotFound: requests>=2.5.2

Local variables in innermost frame:
dist: None
to_activate: [dock 1.1.0 (/usr/lib/python2.7/site-packages), docker-py 1.1.0 (/usr/lib/python2.7/site-packages), GitPython 0.3.2rc1 (/usr/lib/python2.7/site-packages), websocket-client 0.14.1 (/usr/lib/python2.7/site-packages), six 1.9.0 (/usr/lib/python2.7/site-packages)]
req: Requirement.parse('requests>=2.5.2')
requirements: [Requirement.parse('gitdb>=0.5.1'), Requirement.parse('backports.ssl-match-hostname'), Requirement.parse('six')]
new_requirements: []
replace_conflicting: False
required_by: defaultdict(<type 'set'>, {Requirement.parse('backports.ssl-match-hostname'): set(['websocket-client']), Requirement.parse('GitPython'): set(['dock']), Requirement.parse('websocket-client>=0.11.0'): set(['docker-py']), Requirement.parse('docker-py'): set(['dock']), Requirement.parse('six'): set(['websocket-client']), Requirement.parse('requests>=2.5.2'): set(['docker-py']), Requirement.parse('six>=1.3.0'): set(['docker-py']), Requirement.parse('gitdb>=0.5.1'): set(['GitPython'])})
ws: <pkg_resources.WorkingSet object at 0x7ff371155410>
new_requirement: Requirement.parse('six')
env: <pkg_resources.Environment object at 0x7ff3711559d0>
installer: None
self: <pkg_resources.WorkingSet object at 0x7ff371155410>
best: {'docker-py': docker-py 1.1.0 (/usr/lib/python2.7/site-packages), 'gitpython': GitPython 0.3.2rc1 (/usr/lib/python2.7/site-packages), 'six': six 1.9.0 (/usr/lib/python2.7/site-packages), 'dock': dock 1.1.0 (/usr/lib/python2.7/site-packages), 'requests': None, 'websocket-client': websocket-client 0.14.1 (/usr/lib/python2.7/site-packages)}
processed: {Requirement.parse('docker-py'): True, Requirement.parse('dock==1.1.0'): True, Requirement.parse('websocket-client>=0.11.0'): True, Requirement.parse('GitPython'): True, Requirement.parse('six>=1.3.0'): True}

Comment 1 Jiri Popelka 2015-03-17 17:55:18 UTC
Created attachment 1002892 [details]
File: backtrace

Comment 2 Jiri Popelka 2015-03-17 17:55:19 UTC
Created attachment 1002893 [details]
File: environ

Comment 3 Jiri Popelka 2015-03-17 18:19:28 UTC
Updating to python-requests-2.5.3-2.fc22 (heading to updates-testing at the moment) fixes the problem.

Comment 4 Tomas Tomecek 2015-03-18 06:51:52 UTC
Now I get it.

Latest docker-py requires requests>=2.5.2 due to a bug in requests-2.5.{0,1}, hence that traceback. I hope that f22 will ship with the version of requests you mentioned.

Comment 5 Jiri Popelka 2015-03-18 08:57:01 UTC
OK, then python-docker-py should

Requires: python-requests >= 2.5.2

Comment 6 Fedora Update System 2015-03-18 15:07:39 UTC
python-docker-py-1.1.0-2.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/python-docker-py-1.1.0-2.fc22

Comment 7 lnie 2015-03-19 03:09:35 UTC
python-docker-py-1.1.0-2.fc22 works

Comment 8 Fedora Update System 2015-03-19 18:38:29 UTC
Package python-docker-py-1.1.0-2.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing python-docker-py-1.1.0-2.fc22'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-4139/python-docker-py-1.1.0-2.fc22
then log in and leave karma (feedback).

Comment 9 Fedora Update System 2015-03-26 22:09:53 UTC
python-docker-py-1.1.0-2.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.